Get Product List
curl --request POST \
--url https://api.unibee.dev/merchant/product/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"count": 123,
"page": 123,
"sortField": "<string>",
"sortType": "<string>",
"status": [
123
]
}
'import requests
url = "https://api.unibee.dev/merchant/product/list"
payload = {
"count": 123,
"page": 123,
"sortField": "<string>",
"sortType": "<string>",
"status": [123]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
count: 123,
page: 123,
sortField: '<string>',
sortType: '<string>',
status: [123]
})
};
fetch('https://api.unibee.dev/merchant/product/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 123,
"data": {
"products": [
{
"createTime": 123,
"description": "<string>",
"homeUrl": "<string>",
"id": 123,
"imageUrl": "<string>",
"isDeleted": 123,
"merchantId": 123,
"metaData": "<string>",
"productName": "<string>",
"status": 123,
"usVATConfig": {
"active": true,
"fromAddress": {
"address": "<string>",
"city": "<string>",
"countryCode": "<string>",
"state": "<string>",
"verified": true,
"zipCode": "<string>"
},
"nexusAddresses": [
{
"address": "<string>",
"city": "<string>",
"countryCode": "<string>",
"state": "<string>",
"verified": true,
"zipCode": "<string>"
}
],
"sellOnUSOnly": true,
"taxCode": "<string>",
"toAddress": {
"address": "<string>",
"city": "<string>",
"countryCode": "<string>",
"state": "<string>",
"verified": true,
"zipCode": "<string>"
}
}
}
],
"total": 123
},
"merchantId": 123,
"message": "<string>",
"redirect": "<string>",
"requestId": "<string>"
}Product
Get Product List
POST
/
merchant
/
product
/
list
Get Product List
Endpoint Overview
POSThttps://api.unibee.dev/merchant/product/list
Get Product List
Authorization
All UniBee Merchant API requests require authentication via API key.| Header | Required | Description |
|---|---|---|
Authorization | Yes | Bearer <your_api_key> |
Content-Type | Yes | application/json (for request body) |
Parameters
Parameters for this endpoint are listed below. The schema is also shown in the Try it panel.Request body
| Name | Type | Required | Description |
|---|---|---|---|
count | integer | No | Count Of Per Page |
page | integer | No | Page, Start 0 |
sortField | string | No | Sort Field,id|create_time|gmt_modify,Default id |
sortType | string | No | Sort Type,asc|desc,Default desc |
status | array | No | Filter, Default All,,Status,1-active,2-inactive |
Request examples
cURL
curl -X POST "https://api.unibee.dev/merchant/product/list" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"count": 0,
"page": 0,
"sortField": "",
"sortType": "",
"status": []
}'
Sandbox
curl -X POST "https://api-sandbox.unibee.top/merchant/product/list" \
-H "Authorization: Bearer YOUR_SANDBOX_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"count": 0,
"page": 0,
"sortField": "",
"sortType": "",
"status": []
}'
Response
Success responses return a JSON envelope withcode, data, message, redirect, and requestId. code 0 indicates success.
| Field | Type | Description |
|---|---|---|
code | integer | Response code. 0 = success |
data | object | Response payload |
data.products | array | Product Object List |
data.total | integer | Total |
message | string | Human-readable message |
requestId | string | Request ID for support |
Error handling
| HTTP status | Meaning |
|---|---|
| 400 | Bad request — invalid or missing parameters. Check message in the body. |
| 401 | Unauthorized — missing or invalid API key. |
| 404 | Not found — invalid path or resource. |
| 500 | Server error — retry with backoff. |
code in the response body is non-zero, check message for details. Use requestId when contacting support.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
⌘I

